Send invoice via PEPPOL network

The POST /invoices endpoint is designed to receive invoice information in JSON format with easily understandable parameter names. The request body only requires the essential information, ensuring efficient transmission of data.

The API will automatically convert the invoice information to UBL format, adhering to PEPPOL standards. In addition, the API will validate the recipient's existence according to PEPPOL standards.

While it's possible to embed a human-readable PDF document with the invoice message, it's important to note that the primary legal source document will be the UBL document when using PEPPOL standards.

Pre Conditions

[1] The sender of the invoice must first be registered by calling the POST /customers endpoint. This precondition ensures that only registered senders can submit invoices via this endpoint.

Post Conditions

[1] After successfully submitting a PEPPOL invoice using this endpoint, you will receive a unique UBL document identifier. To download the UBL document, this by calling the GET /ubl-documents endpoint with the UBL document identifier.
[2] The UBL document will only be available for 30 days from the time of submission, after which it will be deleted. As a result, it's the user's responsibility to archive the document before it becomes unavailable.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The invoice identifier or number.

date
required

The invoice issue date.

date

The invoice due date, due date or terms should be given.

string

The invoice terms, due date or terms should be given.

double

The total of invoice line extension amounts.

double

The total of VAT on the invoiced amount.

double

The total amount on the invoice including VAT.

double

The total amount the receiver needs to pay.

sender
object
required

The legal entity where the invoice originates from.

receiver
object
required

The legal entity which should receive the invoice.

invoiceLines
array of objects

An invoiceline is a line item on an invoice that describes a product or service that was purchased by a customer.

invoiceLines
paymentInfo
object
required

The required details regarding how to pay the invoice.

Headers
string

The X-Customer header is used in API requests to indicate the identity of the customer sending a PEPPOL invoice. When the customer can't be derived from the authentication credentials used to authorize the request the X-Customer header must be used to specify which customer is making the request. This allows the API to process the request appropriately based on the identity of the customer. The usage of the X-Customer header is only allowed for internal consumers of the API. External consumers are not authorized to use this header.

string
required

The Accept header must be set to application/sh.peppol.api.v001+json. This specific format allows the API to identify the version of the request payload being sent and process it accordingly.

If the Accept header is not set to the expected format, the API will return an ERROR-UNSUPPORTED-ACCEPT-HEADER error to indicate that the request payload format is not supported.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/sh.peppol.api.v001+json